import { styled } from '@nuskin/foundation-theme';
import { NsIconSizeType } from './types';

const iconSize = {
    small: '16px',
    medium: '20px',
    large: '24px',
    xLarge: '30px',
};

export const IconContainer = styled.div<{ size: NsIconSizeType }>`
    display: flex;
    place-content: center;
    place-items: center;
    svg {
        width: ${({ size }) => iconSize[size]};
        height: ${({ size }) => iconSize[size]};
    }
`;
