import { FoundationTheme } from '@nuskin/foundation-theme';

export type NsIconSizeType = 'small' | 'medium' | 'large' | 'xLarge';

export type NsIconNameType =
    | 'arrowDown'
    | 'arrowUp'
    | 'cart'
    | 'cartBadge'
    | 'checkShield'
    | 'checkVerified'
    | 'error'
    | 'infoFilled'
    | 'infoOutlined'
    | 'search'
    | 'success'
    | 'trash'
    | 'slash'
    | 'home';
export type NsIconProps = {
    name: NsIconNameType;
    size?: NsIconSizeType;
    color?: FoundationTheme.PaletteColors;
    testId?: string;
    className?: string;
    colorOverride?: string;
};
