import { ImageProps } from 'next/image';

export type NsNextImageProps = Pick<
    ImageProps,
    | 'src'
    | 'height'
    | 'width'
    | 'alt'
    | 'priority'
    | 'sizes'
    | 'quality'
    | 'placeholder'
    | 'style'
    | 'loading'
    | 'blurDataURL'
    | 'fill'
    | 'unoptimized'
> & {};

export type NsImageProps = {
    src: string;
    alt: string;
    width: number;
    height: number;
    fill?: boolean;
    variant?: 'product' | 'award' | 'icon' | 'fill';
};
