import { styled } from '@nuskin/foundation-theme';
import { AlignmentType } from './types';

export const StyledBanner = styled.section`
    position: relative;
    display: flex;
    justify-content: space-evenly;
    img {
        width: 100%;
        object-fit: cover;
    }
`;

export const StyledHeroText = styled.div<{ $justify: AlignmentType; $alignment: AlignmentType }>`
    height: 100%;
    display: flex;
    width: 100%;
    position: absolute;
    top: 0;
    justify-content: ${({ $justify }) => $justify};
    align-items: ${({ $alignment }) => $alignment};
    text-align: left;
`;
