import React from 'react';

import { AdditionalProps } from '../common.types';

export type AlignmentType = 'start' | 'center' | 'end';

export type NsBannerProps = {
    children: React.ReactNode;
    imageUrl: string;
    altText?: string;
    alignment?: AlignmentType;
    justify?: AlignmentType;
    className?: string;
} & AdditionalProps;
