import { styled } from '@nuskin/foundation-theme';

export const BreadcrumbContainer = styled.nav`
    margin-bottom: 10px;
`;

export const BreadcrumbList = styled.ol`
    display: flex;
    flex-wrap: wrap;
    padding: 0;
    margin: 0;
    list-style: none;
`;

export const BreadcrumbItem = styled.li`
    display: flex;
    align-items: center;
    :not(:first-child) {
        margin-left: 12px;
    }
    & a {
        display: flex;
        gap: 8px;
        margin-right: 12px;
    }
    .slashIcon {
        transform: rotate(20deg);
    }
`;
