import type { Meta, StoryObj } from '@storybook/react';
import { NsBgCard } from '../';
import { CenterStoryDecorator } from '../../../stories/CenterStoryDecorator';

type ComponentType = typeof NsBgCard;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    component: NsBgCard,
    title: 'Components/NsCard/NsBgCard',
    argTypes: {},
    args: {
        title: 'ageLOC LumiSpa',
        backgroundImageUrl: 'https://media.nuskin.com/m/3604b5202b0b64c6/webimage-brand-lumispa-optweb.png',
        // brandImageUrl:
        // 'https://media.nuskin.com/m/2571a0407433a6e8/webimage-brand-lumispa.png',
    },
    decorators: [CenterStoryDecorator],
} as MetaStory;

export const BgCard: Story = {};
