import type { StoryObj, Meta } from '@storybook/react';
import { CenterStoryDecorator } from '../../../stories/CenterStoryDecorator';
import { NsBrandProductCard } from '../';

type ComponentType = typeof NsBrandProductCard;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    component: NsBrandProductCard,
    title: 'Components/NsCard/NsBrandProductCard',
    argTypes: {},
    decorators: [CenterStoryDecorator],
} as MetaStory;

export const Default: Story = {
    args: {
        title: 'ageLOC LumiSpa',
        backgroundImageUrl: 'https://media.nuskin.com/m/3604b5202b0b64c6/webimage-brand-lumispa-optweb.png',
        brandImageUrl: 'https://media.nuskin.com/m/2571a0407433a6e8/webimage-brand-lumispa.png',
    },
};
