import { useTheme } from '@mui/material/styles';

export const RightChevron = () => {
    const { palette } = useTheme();
    const strokeColor = palette.primary.main;

    return (
        <svg
            data-testid="next-chevron"
            viewBox="0 0 24 24"
            preserveAspectRatio="xMidYMid meet"
            focusable="false"
            style={{ pointerEvents: 'none', display: 'block' }}
        >
            <g
                id="icon-narrow-angle-right-24"
                stroke="none"
                strokeWidth="1"
                fill="none"
                fillRule="evenodd"
                strokeLinecap="round"
                strokeLinejoin="round"
            >
                <g transform="translate(-196, -226)" stroke={strokeColor}>
                    <polyline
                        // eslint-disable-next-line max-len
                        transform="translate(209.000000, 237.500000) scale(-1.2, 1.2) rotate(-90.000000) translate(-209.000000, -237.500000)"
                        points="200 242 209 233 218 242"
                    ></polyline>
                </g>
            </g>
        </svg>
    );
};

export default RightChevron;
