import { ReactNode } from 'react';
import { FoundationTheme } from '@nuskin/foundation-theme';

export interface DropdownProps {
    selectedValue: string;
    selectedLabel: string;
    onSelect: (arg: string) => void; // eslint-disable-line
    children: ReactNode;
    disabled?: boolean;
    type?: 'outlined' | 'unfilled';
    placeholder?: string;
    dropdownBorderColor?: FoundationTheme.PaletteColors;
    closeOnMouseLeave?: boolean;
    showListDivider?: boolean;
}

export interface DropdownOptionProps {
    value: string;
    label: string;
    selectedValue?: string;
    onSelect?: (arg: string) => void; // eslint-disable-line
    showListDivider?: boolean;
}
