import { SvgIconProps, SvgIcon } from '@mui/material';

const SlashIcon = (props: SvgIconProps) => {
    return (
        <SvgIcon viewBox="0 0 2 22" fill="none" xmlns="http://www.w3.org/2000/svg" {...props}>
            <path
                d="M1 1L1 11L0.999999 21"
                stroke={props.color}
                stroke-width="2"
                stroke-linecap="round"
                stroke-linejoin="round"
            />
        </SvgIcon>
    );
};

export default SlashIcon;
