import { render, screen } from '../../../test-utils';
import NsImage from './NsImage';
describe('NsImage', () => {
    it('NsImage element renders', () => {
        const altText = 'dummy image';
        render(<NsImage src="https://www.google.com" width={300} height={300} alt={altText} />);
        const imgElement = screen.getByAltText(altText);
        expect(imgElement).toBeInTheDocument();
    });
});
