import { NsImageProps } from './types';

// eslint-disable-next-line no-unused-vars
const NsImage = ({ src, width, height, alt, variant, ...rest }: NsImageProps) => {
    let cHeight: string | number = height,
        cWidth: string | number = width;
    if (variant === 'product') {
        (cHeight = 300), (cWidth = 300);
    } else if (variant === 'icon') {
        (cHeight = 60), (cWidth = 60);
    } else if (variant === 'award') {
        (cHeight = 130), (cWidth = 130);
    } else if (variant === 'fill') {
        (cHeight = 'auto'), (cWidth = '100%');
    }
    return <img src={src} alt={alt} height={cHeight} width={cWidth} />;
};
export default NsImage;
